Bug 56087 - EDITING: Cannot insert/duplicate arbitrary row ranges or cell selections within a table
Summary: EDITING: Cannot insert/duplicate arbitrary row ranges or cell selections with...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-17 13:00 UTC by Nicolas Mailhot
Modified: 2017-01-31 00:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
testcase (9.31 KB, application/vnd.oasis.opendocument.text)
2012-10-17 13:00 UTC, Nicolas Mailhot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2012-10-17 13:00:02 UTC
Openoffice was smart enough to duplicate a complex table block when asked to insert a new line (great magic), but I could not find a way to convince libreoffice to do the same

That makes creating huge tables with complex repetitive structure a chore
Comment 1 Nicolas Mailhot 2012-10-17 13:00:29 UTC
Created attachment 68702 [details]
testcase
Comment 2 A (Andy) 2013-03-02 22:49:07 UTC
I could not yet reproduce it with LO 4.0.0.3 (Win7 Home, 64bit).  Could you please give more information about the detailed steps to reproduce it.
Comment 3 Nicolas Mailhot 2013-03-04 14:14:59 UTC
Select the table block in the testcase, ctrl+c ctrl+v, if you have a table with two identical blocks it works (like it worked before in openoffice.org) if not it fails
Comment 4 A (Andy) 2013-04-10 21:16:52 UTC
I am still not sure if I understand this right.
I selected the whole table and then pressed ctrl+c and afterwards ctrl+v.  
Result: The table will be inserted at the top of the next page.  

Could you please give more information what is the bug in this specific case.  In your first comment you wrote "to insert a new line", but in the last comment crtl+c and ctrl+v.  Therefore, I am not sure if I understand this right.
Comment 5 Nicolas Mailhot 2013-04-11 10:13:02 UTC
Please take a look at the provided testcase again

The testcase table currently has one line (numbered 1) with many subdivisions

Openoffice.org made it easy to add more lines with the same subdivisions

Libreoffice broke this workflow. Creating a table with repeated complex blocks is now prohibitively complex
Comment 6 Nicolas Mailhot 2013-04-11 10:14:46 UTC
(I'm *not* interested in creating table copies, I want to insert a copy of a line or line selection at the end of an existing table and it just worked before, just by selecting the block to copy and inserting a new line)
Comment 7 bfoman (inactive) 2013-05-08 12:14:13 UTC
Confirmed with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Yes, it is a nightmare. I couldn't find a way to add another such complex rows easily neither. And if you do and want to use numbering then you will be unpleasantly surprised (see bug 49102).
Comment 8 Matthew Francis 2015-01-26 03:49:06 UTC
From investigating on Linux and OSX, I can't see that the handling of inserting rows has changed since LO 3.3.0, so on that basis this isn't a regression (which here means "a bug in an existing feature introduced since LO 3.3.0").

As far as I can tell, OpenOffice 3.3.0 and 4.1.1 also don't seem to be able to do what is being asked, so if this has ever worked it was in the distant past.

This is however a useful enhancement, so adjusting the metadata to suit.

-> Removed Keywords: regression
-> Set Severity: enhancement
-> Set Version: Inherited from OOo
-> Updated Title to reflect requested enhancement
-> Added a See Also to a related bug about moving ranges of rows/columns within a table


If there has been any change since LO 3.3.0, more specific instructions will be needed to reproduce (preferably including before/after screenshots of the change)
Comment 9 Jean-Baptiste Faure 2016-05-21 17:45:09 UTC
(In reply to Nicolas Mailhot from comment #6)
> (I'm *not* interested in creating table copies, I want to insert a copy of a
> line or line selection at the end of an existing table and it just worked
> before, just by selecting the block to copy and inserting a new line)

As the first cell is the result of the merge of the first column, what you call the first row and what is expected is not clear. Please, could you attach a file with the result you expected. Setting status to NEEDINFO.

Best regards. JBF
Comment 10 QA Administrators 2016-12-07 12:38:30 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-01-31 00:24:49 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170131